
# ApiInstallControlPlaneArgs

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**kubernetesType** | **String** | The kubernetes type (e.g. \&quot;openshift\&quot;) that the control plane will run on |  [optional]
**remoteRepoUrl** | **String** | The url of the remote repository where the private cloud artifacts to install are hosted |  [optional]
**valuesYaml** | **String** | A yaml file containing configuration parameters for the installation. To see sample values.yaml files, read the documentation &lt;a target&#x3D;\&quot;_blank\&quot;  href&#x3D;http://tiny.cloudera.com/cdp-pvc.install-values-yaml&gt;here&lt;/a&gt;. |  [optional]
**kubeConfig** | **String** | The content of the kubeconfig file of the kubernetes environment on which the install will be performed Simplified example:&lt;br&gt; &lt;br&gt; apiVersion: v1&lt;br&gt; clusters:&lt;br&gt; - cluster:&lt;br&gt; &amp;emsp;&amp;emsp;certificate-authority-data: abc123&lt;br&gt; &amp;emsp;&amp;emsp;server: https://example-server.domain.com:6443&lt;br&gt; &amp;emsp;name: example-cluster.domain.com:6443&lt;br&gt; contexts:&lt;br&gt; - context:&lt;br&gt; &amp;emsp;&amp;emsp;cluster: ocp-cluster1&lt;br&gt; &amp;emsp;&amp;emsp;user: admin&lt;br&gt; &amp;emsp;name: admin&lt;br&gt; current-context: admin&lt;br&gt; kind: Config&lt;br&gt; preferences: {}&lt;br&gt; users:&lt;br&gt; - name: admin&lt;br&gt; &amp;emsp;user:&lt;br&gt; &amp;emsp;&amp;emsp;client-certificate-data: abc123&lt;br&gt; &amp;emsp;&amp;emsp;client-key-data: xyz987&lt;br&gt; &lt;br&gt; For more information on the kubeconfig file, read the documentation &lt;a target&#x3D;\&quot;_blank\&quot; href&#x3D;http://tiny.cloudera.com/cdp-pvc.kubernetes&gt;here&lt;/a&gt;. |  [optional]
**namespace** | **String** | A unique namespace where the control plane will be installed |  [optional]
**dockerRegistry** | **String** | The url of the Docker Registry where images required for install are hosted. This fields is deprecated. The docker registry should be provided within the values.yaml configuration file. |  [optional]
**isOverrideAllowed** | **Boolean** |  |  [optional]



