# ControlPlanesResourceApi

All URIs are relative to *https://localhost/api/v43*

Method | HTTP request | Description
------------- | ------------- | -------------
[**generateCopyDocker**](ControlPlanesResourceApi.md#generateCopyDocker) | **POST** /controlPlanes/commands/generateCopyDocker | Launches the Generate Copy Docker Script Command.
[**generateExternalVaultSetup**](ControlPlanesResourceApi.md#generateExternalVaultSetup) | **POST** /controlPlanes/commands/generateExternalVaultSetup | Launches the Generate Vault Setup Command command.
[**getControlPlanes**](ControlPlanesResourceApi.md#getControlPlanes) | **GET** /controlPlanes | Current Control Planes.
[**getLogContent**](ControlPlanesResourceApi.md#getLogContent) | **POST** /controlPlanes/fetchResources/{commandId}/logContent | Fetches the log content for the specific command.
[**getManifestJson**](ControlPlanesResourceApi.md#getManifestJson) | **POST** /controlPlanes/fetchResources/manifest.json | Fetches the manifest.
[**installControlPlane**](ControlPlanesResourceApi.md#installControlPlane) | **POST** /controlPlanes/commands/installControlPlane | Launches the install control plane command.
[**readControlPlaneByUuid**](ControlPlanesResourceApi.md#readControlPlaneByUuid) | **GET** /controlPlanes/{controlPlaneUuid} | The control plane with the given id.
[**uninstallControlPlane**](ControlPlanesResourceApi.md#uninstallControlPlane) | **POST** /controlPlanes/{controlPlaneUuid}/commands/uninstallControlPlane | Launches Uninstall Command on the control plane with the given uuid.
[**updateValuesYaml**](ControlPlanesResourceApi.md#updateValuesYaml) | **POST** /controlPlanes/{controlPlaneUuid}/commands/updateControlPlaneValuesYaml | Launches update the values.
[**upgradeControlPlane**](ControlPlanesResourceApi.md#upgradeControlPlane) | **POST** /controlPlanes/{controlPlaneUuid}/commands/upgradeControlPlane | Launches the Upgrade Command on the control plane with the given uuid.


<a name="generateCopyDocker"></a>
# **generateCopyDocker**
> ApiCommand generateCopyDocker(body)

Launches the Generate Copy Docker Script Command.

Launches the Generate Copy Docker Script Command

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
ApiGenerateCopyDockerArgs body = new ApiGenerateCopyDockerArgs(); // ApiGenerateCopyDockerArgs | Arguments for the Command
try {
    ApiCommand result = apiInstance.generateCopyDocker(body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#generateCopyDocker");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ApiGenerateCopyDockerArgs**](ApiGenerateCopyDockerArgs.md)| Arguments for the Command | [optional]

### Return type

[**ApiCommand**](ApiCommand.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="generateExternalVaultSetup"></a>
# **generateExternalVaultSetup**
> ApiCommand generateExternalVaultSetup(body)

Launches the Generate Vault Setup Command command.

Launches the Generate Vault Setup Command command

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
ApiGenerateExternalVaultSetupArgs body = new ApiGenerateExternalVaultSetupArgs(); // ApiGenerateExternalVaultSetupArgs | Arguments for the Command
try {
    ApiCommand result = apiInstance.generateExternalVaultSetup(body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#generateExternalVaultSetup");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ApiGenerateExternalVaultSetupArgs**](ApiGenerateExternalVaultSetupArgs.md)| Arguments for the Command | [optional]

### Return type

[**ApiCommand**](ApiCommand.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="getControlPlanes"></a>
# **getControlPlanes**
> ApiControlPlaneList getControlPlanes()

Current Control Planes.

Current Control Planes

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
try {
    ApiControlPlaneList result = apiInstance.getControlPlanes();
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#getControlPlanes");
    e.printStackTrace();
}
```

### Parameters
This endpoint does not need any parameter.

### Return type

[**ApiControlPlaneList**](ApiControlPlaneList.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="getLogContent"></a>
# **getLogContent**
> File getLogContent(commandId)

Fetches the log content for the specific command.

Fetches the log content for the specific command.

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
Integer commandId = 56; // Integer | the command id
try {
    File result = apiInstance.getLogContent(commandId);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#getLogContent");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **commandId** | **Integer**| the command id |

### Return type

[**File**](File.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: text/plain

<a name="getManifestJson"></a>
# **getManifestJson**
> File getManifestJson(body)

Fetches the manifest.

Fetches the manifest.json under the specified remote repo.

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
ApiRemoteRepoUrl body = new ApiRemoteRepoUrl(); // ApiRemoteRepoUrl | the remote repo url.
try {
    File result = apiInstance.getManifestJson(body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#getManifestJson");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ApiRemoteRepoUrl**](ApiRemoteRepoUrl.md)| the remote repo url. | [optional]

### Return type

[**File**](File.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="installControlPlane"></a>
# **installControlPlane**
> ApiCommand installControlPlane(body)

Launches the install control plane command.

Launches the install control plane command.

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
ApiInstallControlPlaneArgs body = new ApiInstallControlPlaneArgs(); // ApiInstallControlPlaneArgs | Arguments for the Command
try {
    ApiCommand result = apiInstance.installControlPlane(body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#installControlPlane");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**ApiInstallControlPlaneArgs**](ApiInstallControlPlaneArgs.md)| Arguments for the Command | [optional]

### Return type

[**ApiCommand**](ApiCommand.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="readControlPlaneByUuid"></a>
# **readControlPlaneByUuid**
> ApiControlPlane readControlPlaneByUuid(controlPlaneUuid)

The control plane with the given id.

The control plane with the given id

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
String controlPlaneUuid = "controlPlaneUuid_example"; // String | The universally unique id of the control plane
try {
    ApiControlPlane result = apiInstance.readControlPlaneByUuid(controlPlaneUuid);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#readControlPlaneByUuid");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **controlPlaneUuid** | **String**| The universally unique id of the control plane |

### Return type

[**ApiControlPlane**](ApiControlPlane.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: Not defined
 - **Accept**: application/json

<a name="uninstallControlPlane"></a>
# **uninstallControlPlane**
> ApiCommand uninstallControlPlane(controlPlaneUuid, body)

Launches Uninstall Command on the control plane with the given uuid.

Launches Uninstall Command on the control plane with the given uuid

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
String controlPlaneUuid = "controlPlaneUuid_example"; // String | The universally unique id of the control plane
ApiUninstallControlPlaneArgs body = new ApiUninstallControlPlaneArgs(); // ApiUninstallControlPlaneArgs | Arguments for the Command
try {
    ApiCommand result = apiInstance.uninstallControlPlane(controlPlaneUuid, body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#uninstallControlPlane");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **controlPlaneUuid** | **String**| The universally unique id of the control plane |
 **body** | [**ApiUninstallControlPlaneArgs**](ApiUninstallControlPlaneArgs.md)| Arguments for the Command | [optional]

### Return type

[**ApiCommand**](ApiCommand.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="updateValuesYaml"></a>
# **updateValuesYaml**
> ApiCommand updateValuesYaml(controlPlaneUuid, body)

Launches update the values.

Launches update the values.yaml from the control plane with the given uuid This updates the content of values.yaml.merged in the CM database.

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
String controlPlaneUuid = "controlPlaneUuid_example"; // String | The universally unique id of the control plane
ApiUpdateControlPlaneValuesYamlArgs body = new ApiUpdateControlPlaneValuesYamlArgs(); // ApiUpdateControlPlaneValuesYamlArgs | Arguments for the Command
try {
    ApiCommand result = apiInstance.updateValuesYaml(controlPlaneUuid, body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#updateValuesYaml");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **controlPlaneUuid** | **String**| The universally unique id of the control plane |
 **body** | [**ApiUpdateControlPlaneValuesYamlArgs**](ApiUpdateControlPlaneValuesYamlArgs.md)| Arguments for the Command | [optional]

### Return type

[**ApiCommand**](ApiCommand.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

<a name="upgradeControlPlane"></a>
# **upgradeControlPlane**
> ApiCommand upgradeControlPlane(controlPlaneUuid, body)

Launches the Upgrade Command on the control plane with the given uuid.

Launches the Upgrade Command on the control plane with the given uuid

### Example
```java
// Import classes:
//import com.cloudera.api.swagger.client.ApiClient;
//import com.cloudera.api.swagger.client.ApiException;
//import com.cloudera.api.swagger.client.Configuration;
//import com.cloudera.api.swagger.client.auth.*;
//import com.cloudera.api.swagger.ControlPlanesResourceApi;

ApiClient defaultClient = Configuration.getDefaultApiClient();

// Configure HTTP basic authorization: basic
HttpBasicAuth basic = (HttpBasicAuth) defaultClient.getAuthentication("basic");
basic.setUsername("YOUR USERNAME");
basic.setPassword("YOUR PASSWORD");

ControlPlanesResourceApi apiInstance = new ControlPlanesResourceApi();
String controlPlaneUuid = "controlPlaneUuid_example"; // String | The universally unique id of the control plane
ApiUpgradeControlPlaneArgs body = new ApiUpgradeControlPlaneArgs(); // ApiUpgradeControlPlaneArgs | Arguments for the Command
try {
    ApiCommand result = apiInstance.upgradeControlPlane(controlPlaneUuid, body);
    System.out.println(result);
} catch (ApiException e) {
    System.err.println("Exception when calling ControlPlanesResourceApi#upgradeControlPlane");
    e.printStackTrace();
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **controlPlaneUuid** | **String**| The universally unique id of the control plane |
 **body** | [**ApiUpgradeControlPlaneArgs**](ApiUpgradeControlPlaneArgs.md)| Arguments for the Command | [optional]

### Return type

[**ApiCommand**](ApiCommand.md)

### Authorization

[basic](../README.md#basic)

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

